> ## Documentation Index
> Fetch the complete documentation index at: https://wiki.joinswift.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve account activity events

> Retrieve account activity events with optional filtering



## OpenAPI

````yaml get /events/account-activity
openapi: 3.0.1
info:
  title: OpenAPI spec for Swift Customer Data Processing and Risk Score
  description: A specification for Swift's customer data processing and risk score APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://sandbox.mintlify.com
security:
  - bearerAuth: []
paths:
  /events/account-activity:
    get:
      tags:
        - Account Activity
      summary: Retrieve account activity events
      description: Retrieve account activity events with optional filtering
      parameters:
        - name: accountId
          in: query
          description: Filter by account ID
          schema:
            type: string
        - name: startDate
          in: query
          description: Filter by start date
          schema:
            type: string
            format: date-time
        - name: endDate
          in: query
          description: Filter by end date
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: List of account activity events
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccountActivityEvent'
components:
  schemas:
    AccountActivityEvent:
      required:
        - accountId
        - eventType
        - timestamp
      type: object
      properties:
        accountId:
          description: Unique identifier for the account
          type: string
        eventType:
          description: Type of account activity (e.g. balance_check, statement_download)
          type: string
          enum:
            - balance_check
            - statement_download
            - profile_update
            - settings_change
        timestamp:
          description: Time when the event occurred
          type: string
          format: date-time
        metadata:
          description: Additional event-specific details
          type: object
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````